Subject: RE: [External] : bug#52293: 29.0.50; [PATCH v3] Prevent further cases of duplicated separators in context menus

From: Drew Adams <[email-masked]>
Date: Sun, 12 Dec 2021 21:00:26 +0000

> No, I think this convention should be recommended for separators used
> anywhere in Emacs going forward. I'm focusing mostly on
> context-menu-mode simply because it's pretty new, so there won't be much
> third-party code that relies on the old (`separator-foo') naming
> convention yet; it shouldn't be too risky to change this now. On the
> other hand, separators in the menu-bar (for example) have been around
> for longer, so I think it's probably too late to change those.
> 
> Overall, my guideline would be: use `foo-separator' when adding a new
> separator to Emacs, unless that part of the code consistently uses the
> `separator-foo' naming convention. In that case, it's probably best to
> stick with the existing scheme in those parts in order to be more
> internally-consistent.

Caveat: I'm not following this thread.  FWIW:

1. In my code I have _lots_ of menu separators that
are apparently in what you call the old naming
convention.

2. I believe there was no stated convention.

3. I think there's zero need for any naming
   convention for menu-item names, whether
   separators or other.

4. As I stated early on in this thread, I think
   it's misguided to prevent the use of duplicate
   separators.  If someone wants such duplicates
   for some reason (and there can be any number
   of reasons), let them be.  And if someone, for
   some reason, wants to prevent such duplicates
   they can do so easily enough, manually or by
   code.

   Don't install useless roadblocks in the way of
   users.

Just one opinion.